OpenTTD Source: OrderSettings Struct Reference

OpenTTD Source 15.0-beta1

Data Fields
OrderSettings Struct Reference

Settings related to orders. More...

`#include <settings_type.h>`

## Data Fields
bool | improved_load
| improved loading algorithm
bool | gradual_loading
| load vehicles gradually
bool | selectgoods
| only send the goods to station if a train has been there
bool | no_servicing_if_no_breakdowns
| don't send vehicles to depot when breakdowns are disabled
bool | serviceathelipad
| service helicopters at helipads automatically (no need to send to depot)
bool | station_length_loading_penalty
| make trains longer than the station load more slowly

## Detailed Description

Settings related to orders.

Definition at line 480 of file settings_type.h.

## Field Documentation

## ◆ gradual_loading

bool OrderSettings::gradual_loading

load vehicles gradually

Definition at line 482 of file settings_type.h.

Referenced by GetLoadAmount(), InitializeGRFSpecial(), and LoadUnloadVehicle().

## ◆ improved_load

bool OrderSettings::improved_load

improved loading algorithm

Definition at line 481 of file settings_type.h.

Referenced by InitializeGRFSpecial(), and LoadUnloadVehicle().

## ◆ no_servicing_if_no_breakdowns

bool OrderSettings::no_servicing_if_no_breakdowns

don't send vehicles to depot when breakdowns are disabled

Definition at line 484 of file settings_type.h.

Referenced by Vehicle::NeedsServicing().

## ◆ selectgoods

bool OrderSettings::selectgoods

only send the goods to station if a train has been there

Definition at line 483 of file settings_type.h.

## ◆ serviceathelipad

bool OrderSettings::serviceathelipad

service helicopters at helipads automatically (no need to send to depot)

Definition at line 485 of file settings_type.h.

Referenced by AircraftEventHandler_AtTerminal().

## ◆ station_length_loading_penalty

bool OrderSettings::station_length_loading_penalty

make trains longer than the station load more slowly

Definition at line 486 of file settings_type.h.

Referenced by UpdateLoadUnloadTicks().

The documentation for this struct was generated from the following file:

- src/settings_type.h